package com.artfess.yhxt.check.regular.manager;

import com.artfess.base.query.PageList;
import com.artfess.base.query.QueryFilter;
import com.artfess.yhxt.check.regular.model.CulvertRegularCheck;
import com.artfess.base.manager.BaseManager;
import com.artfess.yhxt.check.regular.vo.CulvertRegularCheckVo;
import org.springframework.web.multipart.MultipartFile;

/**
 * 涵洞定期检查表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author xzh
 * @since 2021-08-17
 */
public interface CulvertRegularCheckManager extends BaseManager<CulvertRegularCheck> {

    CulvertRegularCheckVo getCulvertRegularCheckById(String id);

    void updateCulvertRegularCheck(CulvertRegularCheckVo vo);

    void saveCulvertRegularCheck(CulvertRegularCheckVo vo);

    PageList<CulvertRegularCheck> queryCulvertRegularCheck(QueryFilter<CulvertRegularCheck> queryFilter);

    void importExcelData(MultipartFile file, CulvertRegularCheck parseObject);
}
